### Method

# EBookContacts SourceBackendSummarySetup set_indexed_fieldsv

since: 3.8

#### Declaration [src]

    void
    e_source_backend_summary_setup_set_indexed_fieldsv (
      ESourceBackendSummarySetup* extension,
      EContactField* fields,
      EBookIndexType* types,
      gint n_fields
    )

#### Description [src]

Defines indexes for quick reference for the given given `EContactFields` in the addressbook.

The same `EContactField` may be specified multiple times to create multiple indexes with different characteristics. If an #E_BOOK_INDEX_PREFIX index is created it will be used for #E_BOOK_QUERY_BEGINS_WITH queries. An #E_BOOK_INDEX_SUFFIX index will be constructed efficiently for suffix matching and will be used for

# E_BOOK_QUERY_ENDS_WITH queries. Similar an #E_BOOK_INDEX_PHONE index will optimize

# E_BOOK_QUERY_EQUALS_PHONE_NUMBER searches.

The specified indexed fields must also be a part of the summary, any indexed fields specified that are not already a part of the summary will be ignored..

Available since: 3.8

#### Parameters

`fields`

  Type: `EContactField`

  The array of `EContactFields` to set indexes for.

  The data is owned by the caller of the method.

`types`

  Type: `EBookIndexType`

  The array of `EBookIndexTypes` defining what types of indexes to create.

  The data is owned by the caller of the method.

`n_fields`

  Type: `gint`

  The number elements in the passed `fields`, `rule_types` and `rules` arrays.